package co.uk.fues.freudbot.ingest;

import lombok.Getter;
import lombok.Setter;

import java.util.Objects;

public class Tweet {

    @Getter @Setter
    private String id;
    @Getter @Setter
    private String text;
    @Getter @Setter
    private String conversation_id;
    @Getter @Setter
    private String author_id;
    @Getter @Setter
    private String created_at;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Tweet tweet = (Tweet) o;
        return id.equals(tweet.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
