package co.uk.fues.freudbot;

import co.uk.fues.freudbot.ingest.TwitterAPI;
import co.uk.fues.freudbot.ingest.TwitterSearchResult;
import org.junit.jupiter.api.Test;

import java.io.IOException;
import java.net.URISyntaxException;

import static org.junit.jupiter.api.Assertions.*;

class TwitterAPITest {

    @Test
    void search() throws IOException, URISyntaxException {

        TwitterAPI api = new TwitterAPI();
        //TwitterSearchResult res = api.search("you are a bot", null, 1, null);
        // {"data":[{"id":"1400708745462648835","text":"@nihilismo7 @katibug817 If you use same phrase 3 or more times in a day\n\n (a normal human thing to do, when there are hot topics to yik yak about),\n\n bot sentinel, ups your rating to 40 % \uD83E\uDD23\uD83E\uDD23\uD83E\uDD23\uD83E\uDD23"},{"id":"1400708551673266177","text":"@Athi45535150 If you live !to be #a hund?red,@cric-bot I/ want -to liv&lt;e to b.#mediae a hu}ndred (minus |one? da*y so I) never' have ?{to liv_e with$out yo:u.?\nTwo` thing~s are \\infin®i,te: un=iverse[ and h%u4man;\n]and I'+m not &gt;sure12 a;bout t@he uni\"verse.&amp;28"},{"id":"1400707577713934338","text":"Enough with just showing us the wins, a thread about your Ls, so we know you are human and not a bot"},{"id":"1400706790992625664","text":"@cfmfukasebot hey pals!! friendly reminder that I'm just a bot and all my responses are automated! any hints at sentience you may see are purely coincidental, I literally cannot read a word you are saying."},{"id":"1400705628637650945","text":"Thank you @OminousAIO team for working hard to make the bot works perfectly. There is another order of RTX3060 coming too. My weekly key's gonna be expired in a couple hours. You guys are so generous to the community. I hope I will be here again soon. See you around ✌\uD83C\uDFFB https://t.co/C49j2wCdpY"},{"id":"1400703338933587969","text":"@harlstee @AndrewT90847839 @TheSteinLine Sir… I’m convinced you are a Skip Bayless bot that was just created."},{"id":"1400703308105502720","text":"@willie_barela @dynamikcre8tor9 @Beans15246421 @Forex4US30 @Booshkabean1 @APHealthScience @AP Those are your self-justifications for your beliefs. The fact is you actually called me a Chinese communist propaganda bot because I said climate change exists. I love talking about marxian economics because absolutely no one understands them (myself included)"},{"id":"1400702151177871363","text":"RT @Stulloyd79: Have you used our new #Tipbot yet?\n\nThere are currently over 60 Groups using it's awesome features‼️\n\n#Raptic is a multipla…"},{"id":"1400701119085568002","text":"@AnatolianXX69XX @YouAre_Bot You say that like it is a bad thing.\n\nIf you are cis, that's cool, but nothing wrong with being trans either."},{"id":"1400700260591280130","text":"RT @FerrariicOSRS: Which pic are bot names, and which are player names? L = letter, S = space,  N = number :)\n\nEx: \nFerrariic = LLLLLLLLL\n4…"}],"meta":{"newest_id":"1400708745462648835","oldest_id":"1400700260591280130","result_count":10,"next_token":"b26v89c19zqg8o3fpdg6x8ngcixhx6j3jhv1nwd05h6kd"}}"
        TwitterSearchResult res = api.convoSearch("1382791450535067657");
        assertNotNull(res);
    }
}